Subject: Re: PROBLEM: Linux 3.6.2 fails to boot on IBM Cell

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 19 Oct 2012 10:25:39 +1100

On Thu, 2012-10-18 at 23:44 +0100, Grant Likely wrote:
> Also, it should be noted that the irq does actually get set up by
> irqdomain.c, but because everything above 0x1ff is larger than the
> lookup table, it complains. The new code complains loudly (as you
> discovered) if someone tries to use a hwirq larger than the map where
> the old code didn't.
> 
> Looks to me like the fix is to change for_each_node() to something as
> simple as "for (i = 0; i < 2; i++)"

I think somebody was expecting for_each_node() to iterate only present
nodes or something ... Not all Cell systems have both nodes btw, so we
might want to be a tiny bit smarter than that .... or not :-)

Cheers,
Ben.